Topic: v4.5.0: Spacing doesn't work any more

ronschi pro asked 4 years ago


After upgrading to v4.5.0 (jquery version), spacing doesn't work any more.

Please check this (f.e. mt-4 , p-3).


ronschi pro commented 4 years ago

While editing doesn't work here (you can't enter 4.5.0 at the version when trying to edit a post).... I'm referring to https://mdbootstrap.com/utilities/bootstrap-spacing/

Marta Wierzbicka staff answered 4 years ago


Hi, our goal as MDB developers is to constantly develop the code of MDB. Bootstrap is becoming more and more modern and also we need to improve our MDB product (free and pro version). That's why we removed unnecessary loops for custom spacing values and we decided to use only Bootstrap ones. We want to use as many code from Bootstrap as we can, so we don't overwrite all Bootstrap code but only some of it. Please, use the newest package of MDB and everything should work fine and if not, you will find more questions and answers on this support forum. Best, Marta

Marta Wierzbicka staff answered 4 years ago


Hi, yes, they don't exist in mdb.css/mdb.min.css files because they're in bootstrap.css/bootstrap.min.css files. We use bootstrap spacing classes, we don't have custom ones. Best, Marta

ronschi pro commented 4 years ago

Hi Marta, oh ok, that's a massive change for us since we're not using bootstrap v4 yet. I'll add them to a custom.css file then.

Marta Wierzbicka staff commented 4 years ago

All right.

Hounddd free commented 4 years ago

Marta, Is the responsive spacing still a free future !? It seems that all responsive spacing utilities where remove from free version. See file _helpers.scss, before (https://github.com/mdbootstrap/bootstrap-material-design/blob/bfa93775cab4f9f0f052acf66df1cd324d06b3b7/sass/mdb/free/_helpers.scss) and after (https://github.com/mdbootstrap/bootstrap-material-design/blob/55c373c379496c5ceb02c5dacf4a63c1d6fdea5c/scss/core/_helpers.scss) the last update ... ?? Why !?

Marta Wierzbicka staff answered 4 years ago


Hi, these classes are working in the newest version. Could you provide any demo presenting the problem? Because now, I don't know how to help you because these classes work in the package. Best, Marta

ronschi pro commented 4 years ago

Hi Marta, the classes don't exist anymore at mdb.css and mdb.min.css . Please check.


Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: MDB jQuery
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags